## ros-jazzy-sros2 0.13.2

=== debian/changelog ===
ros-jazzy-sros2 (0.13.2-1bookworm) bookworm; urgency=high

  * Fix sros2 tests on Windows Debug. (#317 <https://github.com/ros2/sros2/issues/317>) (#320 <https://github.com/ros2/sros2/issues/320>)
    Co-authored-by: Chris Lalancette <mailto:clalancette@gmail.com>
  * [TESTS] Update tests and add test for generate_artifacts (#311 <https://github.com/ros2/sros2/issues/311>) (#319 <https://github.com/ros2/sros2/issues/319>)
    Co-authored-by: Mikael Arguedas <mailto:mikael.arguedas@gmail.com>
  * Contributors: mergify[bot]

 -- ROS Security Working Group <ros-security@googlegroups.com>  Wed, 26 Jun 2024 16:00:00 -0000

ros-jazzy-sros2 (0.13.1-1bookworm) bookworm; urgency=high

  * Fix linux tutorial: cloning example policies and set of default policies for a node (#295 <https://github.com/ros2/sros2/issues/295>) (#296 <https://github.com/ros2/sros2/issues/296>)
    * clone policies to temporary dir as subversion hack doesnt work anymore
    * add get_type_description service to policies
    * update MacOS similarly
    * update all permissions with new topics
    * dont rule out cycloneDDS
    * example of enclave override
    Co-authored-by: Chris Lalancette <mailto:clalancette@gmail.com>
    (cherry picked from commit ca6bb12cc650b73e7ccfc0fa789d8b49358d44ad)
    Co-authored-by: Mikael Arguedas <mailto:mikael.arguedas@gmail.com>
  * Contributors: mergify[bot]

 -- ROS Security Working Group <ros-security@googlegroups.com>  Sun, 12 May 2024 16:00:00 -0000

ros-jazzy-sros2 (0.13.0-1bookworm) bookworm; urgency=high

  * Use modern PKCS7 to sign the certificate bytes. (#290 <https://github.com/ros2/sros2/issues/290>)
  * Fix a number of warnings on Ubuntu 24.04. (#289 <https://github.com/ros2/sros2/issues/289>)
  * Contributors: Chris Lalancette

 -- ROS Security Working Group <ros-security@googlegroups.com>  Tue, 06 Feb 2024 16:00:00 -0000

ros-jazzy-sros2 (0.12.1-1bookworm) bookworm; urgency=high

  * Fix SSH commands in SROS2_Linux.md (#286 <https://github.com/ros2/sros2/issues/286>)
  * Contributors: Boris Boutillier

 -- ROS Security Working Group <ros-security@googlegroups.com>  Thu, 18 May 2023 16:00:00 -0000

ros-jazzy-sros2 (0.12.0-1bookworm) bookworm; urgency=high



 -- ROS Security Working Group <ros-security@googlegroups.com>  Thu, 27 Apr 2023 16:00:00 -0000

ros-jazzy-sros2 (0.11.2-1bookworm) bookworm; urgency=high

  * Make type of get_package_share_directory apparent for sphinx (#284 <https://github.com/ros2/sros2/issues/284>)
  * Contributors: Yadu

 -- ROS Security Working Group <ros-security@googlegroups.com>  Mon, 10 Apr 2023 16:00:00 -0000

ros-jazzy-sros2 (0.11.1-1bookworm) bookworm; urgency=high



 -- ROS Security Working Group <ros-security@googlegroups.com>  Mon, 12 Sep 2022 16:00:00 -0000

ros-jazzy-sros2 (0.11.0-1bookworm) bookworm; urgency=high



 -- ROS Security Working Group <ros-security@googlegroups.com>  Tue, 03 May 2022 16:00:00 -0000

ros-jazzy-sros2 (0.10.4-1bookworm) bookworm; urgency=high

  * Increase the shutdown timeout for test_generate_policy_no_nodes. (#278 <https://github.com/ros2/sros2/issues/278>)
  * Contributors: Chris Lalancette

 -- ROS Security Working Group <ros-security@googlegroups.com>  Thu, 07 Apr 2022 16:00:00 -0000

ros-jazzy-sros2 (0.10.3-1bookworm) bookworm; urgency=high

  * Wait for node discovery in test_generate_policy. (#262 <https://github.com/ros2/sros2/issues/262>)
  * Contributors: Michel Hidalgo

 -- ROS Security Working Group <ros-security@googlegroups.com>  Wed, 12 Jan 2022 16:00:00 -0000

ros-jazzy-sros2 (0.10.2-1bookworm) bookworm; urgency=high

  * Skip mypy test on platforms using importlib_resources (#258 <https://github.com/ros2/sros2/issues/258>)
  * Enable topic "ros_discovery_info" for rmw_connextdds (#253 <https://github.com/ros2/sros2/issues/253>)
  * Declare missing dependency on python3-importlib-resources (#249 <https://github.com/ros2/sros2/issues/249>)
    Co-authored-by:  <mailto:mikael.arguedas@gmail.com>
  * Fix namedtuple names. (#250 <https://github.com/ros2/sros2/issues/250>)
  * Contributors: Andrea Sorbini, Chris Lalancette, Scott K Logan, Mikael Arguedas

 -- ROS Security Working Group <ros-security@googlegroups.com>  Sun, 11 Apr 2021 16:00:00 -0000

ros-jazzy-sros2 (0.10.1-1bookworm) bookworm; urgency=high

  * parameter_events topic is now absolute (#233)
    Signed-off-by: Mikael Arguedas <mailto:mikael.arguedas@gmail.com>
  * Contributors: Mikael Arguedas

 -- ROS Security Working Group <ros-security@googlegroups.com>  Sat, 07 Nov 2020 16:00:00 -0000

ros-jazzy-sros2 (0.10.0-1bookworm) bookworm; urgency=high

  * Expose keystore operations in public API (#241 <https://github.com/ros2/sros2/issues/241>)
  * add cyclonedds to the list of rmw using graph info topics (#231 <https://github.com/ros2/sros2/issues/231>)
  * Add scope parameter (#230 <https://github.com/ros2/sros2/issues/230>)
  * Fix name of argument passed to NodeStrategy (#227 <https://github.com/ros2/sros2/issues/227>)
  * Remove the use of pkg_resources. (#225 <https://github.com/ros2/sros2/issues/225>)
  * Make use of ros_testing to test policy generation. (#214 <https://github.com/ros2/sros2/issues/214>)
  * Add pytest.ini so local tests don't display warning (#224 <https://github.com/ros2/sros2/issues/224>)
  * Contributors: Chris Lalancette, Jacob Perron, Jose Luis Rivero, Kyle Fazzari, Michel Hidalgo, Mikael Arguedas

 -- ROS Security Working Group <ros-security@googlegroups.com>  Mon, 02 Nov 2020 16:00:00 -0000

ros-jazzy-sros2 (0.9.2-1bookworm) bookworm; urgency=high

  * Fix list keys verb (#219 <https://github.com/ros2/sros2/issues/219>)
  * Contributors: Mikael Arguedas

 -- ROS Security Working Group <ros-security@googlegroups.com>  Fri, 05 Jun 2020 16:00:00 -0000

ros-jazzy-sros2 (0.9.1-1bookworm) bookworm; urgency=high

  * start validity date a day before to account for timezone mismatch (#209 <https://github.com/ros2/sros2/issues/209>)
  * Contributors: Mikael Arguedas


