=== debian/control ===
Source: ros-jazzy-sros2
Section: misc
Priority: optional
Maintainer: ROS Security Working Group <ros-security@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-jazzy-ament-copyright <!nocheck>, ros-jazzy-ament-flake8 <!nocheck>, ros-jazzy-ament-mypy <!nocheck>, ros-jazzy-ament-pep257 <!nocheck>, ros-jazzy-ros-testing <!nocheck>, ros-jazzy-test-msgs <!nocheck>, ros-jazzy-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-sros2
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-argcomplete, python3-cryptography, python3-importlib-resources, python3-lxml, ros-jazzy-ament-index-python, ros-jazzy-rclpy, ros-jazzy-ros2cli, ros-jazzy-ros-workspace
Description: Command line tools for managing SROS2 keys
